Java$writeByte {R.utils} | R Documentation

## Writes a byte (8 bits) to a connection in Java format

### Description

Writes one or several byte's (8 bits) to a connection in Java format so they will be readable by Java. All data types in Java are signed, i.e. a byte can hold a value in the range [-128,127]. Trying to write a value outside this range will automatically be truncated without a warning.

### Usage

    ## Static method (use this):
    ## Java$writeByte(con, b, ...)

    ## Don't use the below:
    ## S3 method for class 'Java'
    writeByte(static, con, b, ...)

### Arguments

`con` | Binary connection to be written to.
`b` | Vector of bytes to be written.

### Details

This method is included for consistency reasons only.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Java`.

[Package R.utils version 2.6.0 Index]